﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ScrollingToItem.aspx.cs" Inherits="Rotator_ScrollingToItem" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
	</head>
	<body>
		<form id="form1" runat="server">
			<telerik:RadScriptManager ID="theScriptManager" runat="server" />
			<telerik:RadRotator ID="theRotator" runat="server" Width="300" ItemWidth="300" Height="220" ItemHeight="220" RotatorType="AutomaticAdvance" ScrollDuration="400" PauseOnMouseOver="false" OnClientItemShown="ItemShown">
				<ItemTemplate>
					<asp:Image ID="Image1" runat="server" SlideID='<%# Eval("id") %>' ImageUrl='<%# Eval("image") %>' AlternateText='<%# VirtualPathUtility.GetFileName(Eval("image").ToString()) %>' />
				</ItemTemplate>
			</telerik:RadRotator>
			<div id="buttons">
				<a href="javascript: selectItem(0)">1</a>
				<a href="javascript: selectItem(1)">2</a>
				<a href="javascript: selectItem(2)">3</a>
				<a href="javascript: selectItem(3)">4</a>
				<a href="javascript: selectItem(4)">5</a>
			</div>
		</form>
		<script type="text/javascript">
			function selectItem(index)
			{
				var rotator = getRotator();
				rotator.stop(); // stops the sliding animation
				rotator.set_currentItemIndex(index); // sets the current item
				MarkPage(index); // marks the current item on the page numbers
				rotator.start(); // starts the sliding animation
			}

			function ItemShown(sender, args) {
				var currentIndex = args.get_item().get_index();
				MarkPage(currentIndex);
			}

			function getRotator()
			{
				return $find("<%= theRotator.ClientID %>");
			}

			function MarkPage(index) {
				$telerik.$("#buttons a").css("color", "Blue");
				var pages = $get("buttons").getElementsByTagName("a");
				pages[index].style.color = "Black";
			}
		</script>
	</body>
</html>
